import os
from ament_index_python.packages import get_package_share_directory
from launch import LaunchDescription
from launch_ros.actions import Node


def generate_launch_description():
    ld = LaunchDescription()

    config = os.path.join(
        get_package_share_directory('kf_attitude'),
        'config',
        'params.yaml'
    )

    kf_attitude_node = Node(
        package = "kf_attitude",
        executable = "kf_attitude_node",
        parameters = [config]
    )


    ld.add_action(kf_attitude_node)

    return ld
